curl --request GET \
--url https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"targetId": "2FD7EADA83E24121C5EC0CFCBBEBCF819E08BDD845163E1C9D451737CC12BCFC",
"generationTs": "2021-07-21T22:00:00Z",
"beginDate": "2021-12-31T23:00:00Z",
"endDate": "2022-12-31T23:00:00Z",
"type": "ELEC",
"unit": "EURO",
"targetValue": 3000,
"targetValueEquivalent": 12000,
"defaultTargetValue": 3300,
"defaultTargetValueEquivalent": 13200,
"isActive": true,
"notificationChannels": [],
"notificationType": "NONE",
"name": "My target"
}{
"errorCode": "SITE_NOT_FOUND",
"errorDescription": "Unknown site"
}{
"errorCode": "INVALID_AUTHORIZATION_HEADER_VALUE",
"errorDescription": "The Authorization header is invalid"
}This response has no body data.This response has no body data.This response has no body data.Returns a target
returns a specific target
curl --request GET \
--url https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/sites/{siteId}/targets/{targetId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"targetId": "2FD7EADA83E24121C5EC0CFCBBEBCF819E08BDD845163E1C9D451737CC12BCFC",
"generationTs": "2021-07-21T22:00:00Z",
"beginDate": "2021-12-31T23:00:00Z",
"endDate": "2022-12-31T23:00:00Z",
"type": "ELEC",
"unit": "EURO",
"targetValue": 3000,
"targetValueEquivalent": 12000,
"defaultTargetValue": 3300,
"defaultTargetValueEquivalent": 13200,
"isActive": true,
"notificationChannels": [],
"notificationType": "NONE",
"name": "My target"
}{
"errorCode": "SITE_NOT_FOUND",
"errorDescription": "Unknown site"
}{
"errorCode": "INVALID_AUTHORIZATION_HEADER_VALUE",
"errorDescription": "The Authorization header is invalid"
}This response has no body data.This response has no body data.This response has no body data.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
successful operation
Target id
"2FD7EADA83E24121C5EC0CFCBBEBCF819E08BDD845163E1C9D451737CC12BCFC"
The generation timestamp for the target
"2021-07-21T22:00:00Z"
The timestamp at which the target period starts
"2021-12-31T23:00:00Z"
The timestamp at which the target period ends
"2022-12-31T23:00:00Z"
The fluid type for the target (ELEC or CARBON)
ELEC, CARBON "ELEC"
The designated unit type for the target, which can be either EURO or KWH
EURO, KWH "EURO"
The yearly value for the target
3000
The yearly value for the target, once converted to the other unit
12000
The yearly default value for the target; the reference value based on similar homes or past consumptions
3300
The yearly default value for the target, once converted to the other unit
13200
Flag set to true when the target period is ongoing
true
The channels used to send notifications (EMAIL, SMS, both or none)
[]
The condition that defines whether a notification should be sent or not
NONE, ON_DIST_INDEX_RECEPTION, THRESHOLD_OVERRUN "NONE"
The target's name
"My target"